Last Comment Bug 752895 - --enable-system-{sqlite,nss,nspr} results in make -C browser/installer failing
: --enable-system-{sqlite,nss,nspr} results in make -C browser/installer failing
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: Firefox 16
Assigned To: Andrew Benton
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 07:03 PDT by Andrew Benton
Modified: 2012-06-15 23:18 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to put an #ifndef MOZ_NATIVE_SQLITE in package-manifest.in (373 bytes, patch)
2012-05-08 07:03 PDT, Andrew Benton
no flags Details | Diff | Splinter Review
Added nspr and nss into the patch (1.37 KB, patch)
2012-06-10 12:55 PDT, Andrew Benton
mh+mozilla: review+
Details | Diff | Splinter Review
added a missing #ifndef MOZ_NATIVE_NSS into the patch (1.65 KB, patch)
2012-06-11 08:20 PDT, Andrew Benton
mh+mozilla: review+
Details | Diff | Splinter Review

Description Andrew Benton 2012-05-08 07:03:15 PDT
Created attachment 621965 [details] [diff] [review]
Patch to put an #ifndef MOZ_NATIVE_SQLITE in package-manifest.in

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/15.0 Firefox/15.0a1
Build ID: 20120508010020

Steps to reproduce:

Added  --enable-system-sqlite to my mozconfig
ac_add_options --enable-system-sqlite
then when the build had finished I tried to
make -C browser/installer


Actual results:

Error: package error or possible missing or unnecessary file: bin/libmozsqlite3.so 
.....
make[1]: *** [stage-package] Error 255
make[1]: Leaving directory `/home/andy/save/src/firefox/firefox-build-dir/browser/installer'
make: *** [default] Error 2
make: Leaving directory `/home/andy/save/src/firefox/firefox-build-dir/browser/installer'



Expected results:

It should have made a nice new firefox tarball.
The attached patch fixes the problem for me.
Comment 1 Andrew Benton 2012-06-10 12:55:26 PDT
Created attachment 631763 [details] [diff] [review]
Added nspr and nss into the patch

--with-system-nspr and --with-system-nss also cause the installer to fail so I've added them into the patch
Comment 2 Justin Wood (:Callek) 2012-06-10 13:23:43 PDT
You mentioned in Bug 763181 that no-one responded, so I peeked and I see why (not your fault)

#1 Was filed in Untriaged and our triage team didn't get to it, moved it to its correct component
#2 No-one was requested for review of the patch (see the Getting Reviews part of https://developer.mozilla.org/En/Developer_Guide/How_to_Submit_a_Patch )

I'll leave you to request since I don't know how well you tested these changes, a good reviewer here would be :khuey or :glandium imo.
Comment 3 Mike Hommey [:glandium] 2012-06-11 06:52:07 PDT
Comment on attachment 631763 [details] [diff] [review]
Added nspr and nss into the patch

Review of attachment 631763 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/installer/package-manifest.in
@@ +595,4 @@
>  @BINPATH@/@DLL_PREFIX@smime3@DLL_SUFFIX@
>  @BINPATH@/@DLL_PREFIX@softokn3@DLL_SUFFIX@
>  @BINPATH@/@DLL_PREFIX@ssl3@DLL_SUFFIX@
> +#endif

The #ifndef for this #endif is missing. Other than that, the patch looks good.
Comment 4 Andrew Benton 2012-06-11 08:20:06 PDT
Created attachment 631900 [details] [diff] [review]
added a missing #ifndef MOZ_NATIVE_NSS into the patch

(In reply to Mike Hommey [:glandium] from comment #3)
> Comment on attachment 631763 [details] [diff] [review]
> ::: browser/installer/package-manifest.in
> @@ +595,4 @@
> >  @BINPATH@/@DLL_PREFIX@smime3@DLL_SUFFIX@
> >  @BINPATH@/@DLL_PREFIX@softokn3@DLL_SUFFIX@
> >  @BINPATH@/@DLL_PREFIX@ssl3@DLL_SUFFIX@
> > +#endif
> 
> The #ifndef for this #endif is missing. Other than that, the patch looks
> good.

Many thanks, sorry for the missing #ifndef MOZ_NATIVE_NSS
Fixed in this version
Comment 5 Mike Hommey [:glandium] 2012-06-11 08:27:50 PDT
Comment on attachment 631900 [details] [diff] [review]
added a missing #ifndef MOZ_NATIVE_NSS into the patch

Thanks for the patch. I'll land this alongside my next push (maybe some time tomorrow).

For your future patches, please follow the guidelines from https://developer.mozilla.org/en/Creating_a_patch_that_can_be_checked_in
Comment 7 Matt Brubeck (:mbrubeck) 2012-06-12 18:34:08 PDT
https://hg.mozilla.org/mozilla-central/rev/ede54971747f

Note You need to log in before you can comment on or make changes to this bug.